{ pkgs, ... }: {
	programs.zsh = {
		enable = true;
		package = pkgs.zsh;
		plugins = [{
				name = "zsh-autosuggestions";
				src = pkgs.zsh-autosuggestions;
			}
			{
				name = "zsh-highlighting";
				src = pkgs.zsh-syntax-highlighting;
			}];
		shellAliases = 
		let 
			args = "--impure --flake";
			flake = "/home/fox/conf";
		in {
			"switch" = "sudo nixos-rebuild switch ${args} ${flake}#lenovo";
			"home-switch" = "home-manager switch ${args} ${flake}#fox";
			"clean-nix" = "sudo nix-collect-garbage -d";
      "un" = "adb shell pm uninstall -k";
		};
		initExtra = ''
			export PROMPT="%m %2~ %B::%b "
		'';
	};
}

